namespace skyscraper5.Skyscraper.Scraper.Storage.Utilities
{
	public class DatabaseKeyNitNetwork
	{
		public ushort Id { get; }

		public DatabaseKeyNitNetwork(ushort id)
		{
			Id = id;
		}

		protected bool Equals(DatabaseKeyNitNetwork other)
		{
			return Id == other.Id;
		}

		public override bool Equals(object obj)
		{
			if (ReferenceEquals(null, obj)) return false;
			if (ReferenceEquals(this, obj)) return true;
			if (obj.GetType() != this.GetType()) return false;
			return Equals((DatabaseKeyNitNetwork)obj);
		}

		public override int GetHashCode()
		{
			return Id.GetHashCode();
		}
	}
}
